# Core


object [Core](index.md)

## Functions

| Name | Summary |
|---|---|
| [fetchJwksJson](fetch-jwks-json.md) | fun [fetchJwksJson](fetch-jwks-json.md)(jwksUri: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), completion: [HttpCompletion](../../io.logto.sdk.core.http/-http-completion/index.md)&lt;[String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)&gt;) |
| [fetchOidcConfig](fetch-oidc-config.md) | fun [fetchOidcConfig](fetch-oidc-config.md)(endpoint: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), completion: [HttpCompletion](../../io.logto.sdk.core.http/-http-completion/index.md)&lt;[OidcConfigResponse](../../io.logto.sdk.core.type/-oidc-config-response/index.md)&gt;) |
| [fetchTokenByAuthorizationCode](fetch-token-by-authorization-code.md) | fun [fetchTokenByAuthorizationCode](fetch-token-by-authorization-code.md)(tokenEndpoint: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), clientId: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), redirectUri: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), codeVerifier: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), code: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), resource: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)?, completion: [HttpCompletion](../../io.logto.sdk.core.http/-http-completion/index.md)&lt;[CodeTokenResponse](../../io.logto.sdk.core.type/-code-token-response/index.md)&gt;) |
| [fetchTokenByRefreshToken](fetch-token-by-refresh-token.md) | fun [fetchTokenByRefreshToken](fetch-token-by-refresh-token.md)(tokenEndpoint: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), clientId: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), refreshToken: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), resource: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)?, scopes: [List](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-list/index.html)&lt;[String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)&gt;?, completion: [HttpCompletion](../../io.logto.sdk.core.http/-http-completion/index.md)&lt;[RefreshTokenTokenResponse](../../io.logto.sdk.core.type/-refresh-token-token-response/index.md)&gt;) |
| [fetchUserInfo](fetch-user-info.md) | fun [fetchUserInfo](fetch-user-info.md)(userInfoEndpoint: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), accessToken: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), completion: [HttpCompletion](../../io.logto.sdk.core.http/-http-completion/index.md)&lt;[UserInfoResponse](../../io.logto.sdk.core.type/-user-info-response/index.md)&gt;) |
| [generateSignInUri](generate-sign-in-uri.md) | fun [generateSignInUri](generate-sign-in-uri.md)(authorizationEndpoint: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), clientId: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), redirectUri: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), codeChallenge: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), state: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), scopes: [List](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-list/index.html)&lt;[String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)&gt;?, resources: [List](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-list/index.html)&lt;[String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)&gt;?): [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) |
| [generateSignOutUri](generate-sign-out-uri.md) | fun [generateSignOutUri](generate-sign-out-uri.md)(endSessionEndpoint: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), idToken: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), postLogoutRedirectUri: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)? = null): [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) |
| [revoke](revoke.md) | fun [revoke](revoke.md)(revocationEndpoint: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), clientId: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), token: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), completion: [HttpEmptyCompletion](../../io.logto.sdk.core.http/-http-empty-completion/index.md)) |
